summaryrefslogtreecommitdiff
path: root/refresh_keys.sh
diff options
context:
space:
mode:
authorElizabeth Alexander Hunt <me@liz.coffee>2026-07-11 16:08:54 -0700
committerElizabeth Alexander Hunt <me@liz.coffee>2026-07-11 16:08:54 -0700
commitd93ae888ee424226f780877d55072621a889c19d (patch)
treed699f751ab1170a9f644decaa72f9b75157438e5 /refresh_keys.sh
parent4e210d94201dd847390954517b3f77edc5925f41 (diff)
downloadkeys-main.tar.gz
keys-main.zip
Fail fast if clone failsHEADmain
Diffstat (limited to 'refresh_keys.sh')
-rwxr-xr-xrefresh_keys.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/refresh_keys.sh b/refresh_keys.sh
index 122b68d..71bc64f 100755
--- a/refresh_keys.sh
+++ b/refresh_keys.sh
@@ -7,7 +7,7 @@ auth_key_file=${1:-~/.ssh/authorized_keys}
function main() {
cd /tmp
rm -rf /tmp/keys || true
- git clone --quiet https://code.liz.coffee/keys.git/
+ git clone --quiet https://code.liz.coffee/keys.git/ || return 1
cd keys
echo "+ Cloned keys"